/* Table 11 for "The Structure of Tariffs and Long-Term Growth", AEJ: Macro */

version 10.1
capture clear
capture log close
set more off

log using "AEJ_Macro_Table_11.log", replace

*************************
*** US Skill Rankings ***
*************************
capture clear
use "AEJ_Macro_data_all_cutoffs_US_rankings_final.dta", clear
/* Country Regressions */
/* Diff */
foreach x in y z a b c d e f g{
reg growth diff`x' avg_tar init inv human_cap *_africa n_afr_me lat_america *_asia e_europe dum80_83 dum85_87 ln_init_q_skill`x' ln_init_q_unskill`x' if industry=="211212"
}
/* Industry Regressions */
/* Diff */
foreach x in y z a b c d e f g{
xi: reg prod_growth diff`x' init_tar avg_tar ln_init_q init inv human_cap *_africa n_afr_me lat_america *_asia e_europe dum80_83 dum85_87 i.industry ln_init_q_skill`x' ln_init_q_unskill`x', cluster(wbcode)
}

***********************************
*** South Africa Skill Rankings ***
***********************************
capture clear
use "AEJ_Macro_data_all_cutoffs_south_africa_rankings_final.dta", clear
/* Country Regressions */
foreach x in y z a b c d e f g{
reg growth diff`x' avg_tar init inv human_cap *_africa n_afr_me lat_america *_asia e_europe dum80_83 dum85_87 ln_init_q_skill`x' ln_init_q_unskill`x' if industry=="211212"
}
/* Industry Regressions */
reg prod_growth
foreach x in y z a b c d e f g{
xi: reg prod_growth diff`x' init_tar avg_tar ln_init_q init inv human_cap *_africa n_afr_me lat_america *_asia e_europe dum80_83 dum85_87 i.industry ln_init_q_skill`x' ln_init_q_unskill`x', cluster(wbcode)
}

********************************
*** Brazilian Skill Rankings ***
********************************
capture clear
use "AEJ_Macro_data_all_cutoffs_brazil_rankings_final.dta", clear
/* Country Regressions */
foreach x in y z a b c d e f g{ 
reg growth diff`x' avg_tar init inv human_cap *_africa n_afr_me lat_america *_asia e_europe dum80_83 dum85_87 ln_init_q_skill`x' ln_init_q_unskill`x' if industry=="211212"
}
/* Industry Regressions */
foreach x in  y z a b c d e f g{ 
xi: reg prod_growth diff`x' avg_tar init_tar init inv human_cap *_africa n_afr_me lat_america *_asia e_europe dum80_83 dum85_87 i.industry ln_init_q ln_init_q_skill`x' ln_init_q_unskill`x', cluster(wbcode)
}

log close
